<?php
/*-------------------------------------------------------+
| Name: east.php
| Autor: matze
| Web: http://fusion-mods.de
+--------------------------------------------------------*/
$real_path = realpath('.');
$moua_permise = array("moul", "mouta", "moo");
//Schriftgrösse
$font_sizes = array("xs" => 20, "s" => 22, "m" => 24, "l" => 26, "xl"=> 28);
$selectia = isset($_GET['pers']) && in_array($_GET['pers'], $moua_permise) ? $_GET['pers'] : "moul";

$im = imagecreatefromjpeg($real_path . '/images/' . strtolower($selectia) . '_p.jpg');
$color = imagecolorallocate($im, 255, 255, 255);
$font = $real_path . '/animeace2_ital.ttf';
$fontsize = isset($_GET['font']) && array_key_exists($_GET['font'], $font_sizes) ? $font_sizes[$_GET['font']] : 24;
$fontangle = 0;
$imagewidth = imagesx($im);
$imageheight = imagesy($im);
$xoffset = 0;
$yoffset = $selectia != "moo" ? 55 : 90;
$text = '';

if (isset($_GET['for'])) {
if (preg_match("/(.*)\?[0-9]{13}$/", $_GET['for'])) {
$text = substr($_GET['for'], 0, (strlen($_GET['for']) - 14));
} else {
$text = $_GET['for'];
}
$text = str_replace("|||", " + ", $text);
$text = strip_tags(trim(preg_replace("/[\s]{2,}/", " ", $text)));
}
$text = $text != '' ? ptclean($text) : 'mou';
$box = @imagettfbbox($fontsize, $fontangle, $font, $text);
$textwidth = abs($box[4] - $box[0]);
$textheight = abs($box[5] - $box[1]);
$xcord = round(($imagewidth - $textwidth) / 2) + $xoffset;
$ycord = round(($imageheight - $textheight) / 2) + $yoffset;

imagettftext($im, $fontsize, $fontangle, $xcord, $ycord, $color, $font, $text);
//Download hier
if (isset($_GET['download']) && $_GET['download'] == 1) {
header("Content-Disposition: attachment; filename=" . urlencode($text . '.jpg'));   
header("Content-Type: application/force-download");
header("Content-Type: application/octet-stream");
header("Content-Type: application/download");
header("Content-Description: File Transfer");            
} else {
header ('Content-type: image/jpeg');
}
imagejpeg ($im, NULL, 95);
imagedestroy ($im);

function ptclean($text) {
$ttemp = explode("+", $text);
$tslen = count($ttemp);
for ($i=0; $i<$tslen; $i++)
$ttemp[$i] = urldecode($ttemp[$i]);
return implode("+", $ttemp);
}
?>
